%global dlrn_nvr pankoclient-0.5.0-0.20191010210258.572aee9
%global dlrn 1
%define upstream_version 0.5.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global pypi_name pankoclient

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0

Name:             python-pankoclient
Version: 0.5.0
Release: 0.20191010210259.572aee9%{?dist}.1
Summary:          Python API and CLI for OpenStack Panko

License:          ASL 2.0
URL:              https://github.com/openstack/%{name}
Source0: pankoclient-0.5.0-0.20191010210258.572aee9.tar.gz

BuildArch:        noarch


%package -n python%{pyver}-%{pypi_name}
Summary:          Python API and CLI for OpenStack Panko
%{?python_provide:%python_provide python%{pyver}-%{pypi_name}}
%if %{pyver} == 3
Obsoletes: python2-%{pypi_name} < %{version}-%{release}
%endif


BuildRequires:    git
BuildRequires:    python%{pyver}-setuptools
BuildRequires:    python%{pyver}-devel
BuildRequires:    python%{pyver}-pbr
BuildRequires:    python%{pyver}-tools

Requires:         python%{pyver}-keystoneauth1 >= 3.4.0
Requires:         python%{pyver}-osc-lib >= 1.8.0
Requires:         python%{pyver}-oslo-i18n >= 2.1.0
Requires:         python%{pyver}-oslo-serialization >= 1.10.0
Requires:         python%{pyver}-oslo-utils >= 3.18.0
Requires:         python%{pyver}-osprofiler >= 1.4.0
Requires:         python%{pyver}-pbr
Requires:         python%{pyver}-requests
Requires:         python%{pyver}-six >= 1.9.0


%description -n python%{pyver}-%{pypi_name}
This is a client library for Panko built on the Panko API. It
provides a Python API (the pankoclient module) and a command-line tool.

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:          Documentation for OpenStack Panko API Client
Group:            Documentation

BuildRequires:    python%{pyver}-sphinx
BuildRequires:    python%{pyver}-openstackdocstheme
BuildRequires:    python%{pyver}-openstack-doc-tools
BuildRequires:    python%{pyver}-osc-lib
# patches_ignore=DROP-IN-RPM
# patches_base=572aee9cf6ac618eb5d1ea325f9e59414d387dbf
# test
BuildRequires:    python%{pyver}-babel

%description      doc
This is a client library for Panko built on the Panko API. It
provides a Python API (the pankoclient module) and a command-line tool
(panko).

This package contains auto-generated documentation.
%endif

%package -n python%{pyver}-%{pypi_name}-tests
Summary:          Python API and CLI for OpenStack Panko Tests
Requires:         python%{pyver}-%{pypi_name} = %{version}-%{release}

%description -n python%{pyver}-%{pypi_name}-tests
This is a client library for Panko built on the Panko API. It
provides a Python API (the pankoclient module) and a command-line tool.

%description
This is a client library for Panko built on the Panko API. It
provides a Python API (the pankoclient module) and a command-line tool.


%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -rf pankoclient.egg-info

# Let RPM handle the requirements
rm -f {,test-}requirements.txt

%build
%{pyver_build}


%install
%{pyver_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s panko %{buildroot}%{_bindir}/panko-%{pyver}

%if 0%{?with_doc}
# Some env variables required to successfully build our doc
export PATH=$PATH:%{buildroot}%{_bindir}
export LANG=en_US.utf8
%{pyver_bin} setup.py build_sphinx -b html

# Fix hidden-file-or-dir warnings
rm -rf doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%files -n python%{pyver}-%{pypi_name}
%doc README.rst
%license LICENSE
%{_bindir}/panko
%{_bindir}/panko-%{pyver}
# XXX: man page build is broken
#%{_mandir}/man1/panko.1*
%{pyver_sitelib}/pankoclient
%{pyver_sitelib}/*.egg-info
%exclude %{pyver_sitelib}/pankoclient/tests

%files -n python%{pyver}-%{pypi_name}-tests
%license LICENSE
%{pyver_sitelib}/pankoclient/tests

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Mon Jun 21 2021 CPaaS User <cpaas-ops@redhat.com> - 0.5.0-0.20191010210259.572aee9.1
- Bump release

* Tue Nov 03 2020 CPaaS User <cpaas-ops@redhat.com> - 0.5.0-0.20191010210259.572aee9
- Bump release

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 0.7.0-1
- Update patches

* Thu Sep 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


